<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>bmodulo</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="PGCD.html">&lt;&lt; PGCD</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="brand.html">brand &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a> &gt; bmodulo</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">bmodulo</h1>
    <p class="refpurpose">Euclidian reminder &#0034;pmodulo&#0034; for bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">a,b,r:</span>
            <dd><p class="para">bigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">positive reminder of Euclidian division a/b &lt;=&gt; a=c+b*k   (k integer and 0&lt;=c&lt;b), if a is a matrix  then the result is a matrix with same size and r(i,j)=bmodulo(a(i,j),b)</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">1234567898765543210</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">9876543210123456789</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabopenclose">[</span><span class="scilabid">q</span><span class="scilabdefault">,</span><span class="scilabid">r</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">divide</span><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabdefault">,</span><span class="scilabid">x</span><span class="scilabopenclose">)</span>
<span class="scilabid">bmodulo</span><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabdefault">,</span><span class="scilabid">x</span><span class="scilabopenclose">)</span><span class="scilabcomment">// = r</span>
<span class="scilabid">bmodulo</span><span class="scilabopenclose">(</span><span class="scilabopenclose">[</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabid">y</span><span class="scilabopenclose">]</span><span class="scilabdefault">,</span><span class="scilabid">x</span><span class="scilabopenclose">)</span><span class="scilabcomment">//= [0,r]</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="divide.html" class="link">divide</a></li>
   <li class="member"><a href="scilab://pmodulo" class="link">pmodulo</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="PGCD.html">&lt;&lt; PGCD</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="brand.html">brand &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
